wxImageDataObject Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxImageDataObject Class Reference
Class List by Category » Clipboard and Drag & Drop

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/dataobj.h>`

Inheritance diagram for wxImageDataObject:
[legend]

## Detailed Description

wxImageDataObject is a specialization of wxDataObject for image data.

It can be used e.g. when you need to put on and retrieve from the clipboard a wxImage with its metadata (like image resolution).

Since
  3.1.5

##

Library: wxCore
Category: Clipboard and Drag & Drop

See also
  Drag and Drop Overview, wxDataObject, wxCustomDataObject, wxBitmapDataObject

## Public Member Functions
| wxImageDataObject (const wxImage &image=wxNullImage)
| Constructor, optionally passing an image (otherwise use SetImage() later).
wxImage | GetImage () const
| Returns the image associated with the data object.
void | SetImage (const wxImage &image)
| Sets the image stored by the data object.
Public Member Functions inherited from wxCustomDataObject
| wxCustomDataObject (const wxDataFormat &format=wxFormatInvalid)
| The constructor accepts a format argument which specifies the (single) format supported by this object.
virtual | ~wxCustomDataObject ()
| The destructor will free the data held by the object.
virtual void * | Alloc (size_t size)
| This function is called to allocate size bytes of memory from SetData().
virtual void | Free ()
| This function is called when the data is freed, you may override it to anything you want (or may be nothing at all).
virtual void * | GetData () const
| Returns a pointer to the data.
virtual size_t | GetSize () const
| Returns the data size in bytes.
virtual bool | SetData (size_t size, const void *data)
| Set the data.
void | TakeData (size_t size, void *data)
| Like SetData(), but doesn't copy the data - instead the object takes ownership of the pointer.
Public Member Functions inherited from wxDataObjectSimple
| wxDataObjectSimple (const wxDataFormat &format=wxFormatInvalid)
| Constructor accepts the supported format (none by default) which may also be set later with SetFormat().
virtual bool | GetDataHere (void *buf) const
| Copy the data to the buffer, return true on success.
virtual size_t | GetDataSize () const
| Gets the size of our data.
const wxDataFormat & | GetFormat () const
| Returns the (one and only one) format supported by this object.
void | SetFormat (const wxDataFormat &format)
| Sets the supported format.
Public Member Functions inherited from wxDataObject
| wxDataObject ()
| Constructor.
virtual | ~wxDataObject ()
| Destructor.
virtual void | GetAllFormats (wxDataFormat *formats, Direction dir=Get) const =0
| Copies all formats supported in the given direction dir to the array pointed to by formats.
virtual bool | GetDataHere (const wxDataFormat &format, void *buf) const =0
| The method will write the data of the format format to the buffer buf.
virtual size_t | GetDataSize (const wxDataFormat &format) const =0
| Returns the data size of the given format format.
virtual size_t | GetFormatCount (Direction dir=Get) const =0
| Returns the number of available formats for rendering or setting the data.
virtual wxDataFormat | GetPreferredFormat (Direction dir=Get) const =0
| Returns the preferred format for either rendering the data (if dir is `Get`, its default value) or for setting it.
virtual bool | SetData (const wxDataFormat &format, size_t len, const void *buf)
| Set the data in the format format of the length len provided in the buffer buf.
bool | IsSupported (const wxDataFormat &format, Direction dir=Get) const
| Returns true if this format is supported.

## Additional Inherited Members
Public Types inherited from wxDataObject
enum | Direction { Get = 0x01 , Set = 0x02 , Both = 0x03 }

## Constructor & Destructor Documentation

## ◆ wxImageDataObject()

wxImageDataObject::wxImageDataObject | ( | const wxImage & | image = wxNullImage | ) |
| explicit

Constructor, optionally passing an image (otherwise use SetImage() later).

## Member Function Documentation

## ◆ GetImage()

wxImage wxImageDataObject::GetImage | ( |  | ) | const

Returns the image associated with the data object.

## ◆ SetImage()

void wxImageDataObject::SetImage | ( | const wxImage & | image | ) |

Sets the image stored by the data object.